Package com.io7m.waxmill.machines

# Interface WXMBootConfigurationType.WXMBootConfigurationUEFIType

All Superinterfaces:
  `WXMBootConfigurationType`

All Known Implementing Classes:
  `WXMBootConfigurationUEFI`

Enclosing interface:
  WXMBootConfigurationType

    @Immutable
    public static interface WXMBootConfigurationType.WXMBootConfigurationUEFIType
    extends WXMBootConfigurationType

A boot configuration that uses UEFI.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.waxmill.machines.WXMBootConfigurationType

  `WXMBootConfigurationType.Kind, WXMBootConfigurationType.WXMBootConfigurationGRUBBhyveType, WXMBootConfigurationType.WXMBootConfigurationUEFIType, WXMBootConfigurationType.WXMBootDiskAttachmentType, WXMBootConfigurationType.WXMEvaluatedBootCommandsType, WXMBootConfigurationType.WXMEvaluatedBootConfigurationGRUBBhyveType, WXMBootConfigurationType.WXMEvaluatedBootConfigurationType, WXMBootConfigurationType.WXMEvaluatedBootConfigurationUEFIType, WXMBootConfigurationType.WXMGRUBKernelInstructionsType, WXMBootConfigurationType.WXMGRUBKernelLinuxType, WXMBootConfigurationType.WXMGRUBKernelOpenBSDType`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `default void` | `checkPreconditions()` | Check preconditions for the type.
  `default java.lang.String` | `comment()` |
  `java.nio.file.Path` | `firmware()` |
  `default WXMBootConfigurationType.Kind` | `kind()` |
  `WXMBootConfigurationName` | `name()` | The unique-within-a-virtual-machine name of the boot configuration.
  `default java.util.Set<WXMDeviceSlot>` | `requiredDevices()` |

  ### Methods inherited from interface com.io7m.waxmill.machines.WXMBootConfigurationType

  `diskAttachmentMap, diskAttachments`

- ## Method Details

  - ### kind

    default WXMBootConfigurationType.Kind kind()
    Specified by:
      `kind` in interface `WXMBootConfigurationType`
    Returns:
      The kind of boot configuration

  - ### comment

    @Default default java.lang.String comment()
    Specified by:
      `comment` in interface `WXMBootConfigurationType`
    Returns:
      A comment

  - ### name

    WXMBootConfigurationName name()
    Description copied from interface: `WXMBootConfigurationType`
    The unique-within-a-virtual-machine name of the boot configuration.
    Specified by:
      `name` in interface `WXMBootConfigurationType`
    Returns:
      The name of the boot configuration

  - ### firmware

    java.nio.file.Path firmware()
    Returns:
      The location of the UEFI firmware to load into the machine

  - ### requiredDevices

    default java.util.Set<WXMDeviceSlot> requiredDevices()
    Specified by:
      `requiredDevices` in interface `WXMBootConfigurationType`
    Returns:
      The set of devices required by the boot configuration

  - ### checkPreconditions

    @Check default void checkPreconditions()
    Check preconditions for the type.